# EtudiantNP
Date: 2022-10-31

fr.iutfbleau.projetIHM2022FI2.MNP

## Class EtudiantNP

- java.lang.Object
- - fr.iutfbleau.projetIHM2022FI2.MNP.EtudiantNP

All Implemented Interfaces:
  Etudiant, MonPrint

    public class EtudiantNP
    extends java.lang.Object
    implements Etudiant

Un étudiant

### Constructor Summary

Constructors
Constructor and Description
`EtudiantNP(java.lang.String nom, java.lang.String prenom)` Constructeur.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getId()` permet de récupérer l'identifiant de l'étudiant.
`java.lang.String` `getNom()` permet de récupérer
`java.lang.String` `getPrenom()` permet de récupérer

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface fr.iutfbleau.projetIHM2022FI2.API.Etudiant

`monPrint`

### Constructor Detail

#### EtudiantNP

    public EtudiantNP(java.lang.String nom,
                      java.lang.String prenom)

Constructeur.

### Method Detail

#### getId

    public int getId()

permet de récupérer l'identifiant de l'étudiant.

Specified by:
  `getId` in interface `Etudiant`
Returns:
  l'identifiant.

#### getNom

    public java.lang.String getNom()

permet de récupérer

Specified by:
  `getNom` in interface `Etudiant`
Returns:
  le nom de l'étudiant.

#### getPrenom

    public java.lang.String getPrenom()

permet de récupérer

Specified by:
  `getPrenom` in interface `Etudiant`
Returns:
  le prénom de l'étudiant